Package org.bgerp.app.servlet.jsp

# Class UiFunction

java.lang.Object
org.bgerp.app.servlet.jsp.UiFunction

public class UiFunction extends Object
Methods called in JSP files from `ui` object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final UiFunction`
  `INSTANCE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UiFunction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final String`
  `idAndComment(Object object)`
  A string containing object's comment, case `object` implements `Comment` interface and mandatory the object's ID.
  `static final String`
  `processCreatedAndClosed(Localizer l, Process process)`
  Localized text with process creation and closing times
  `static final String`
  `selectSingleSourceJson(Collection<IdTitle<?>> list, Set<?> availableIdSet, List<?> availableIdList, Map<Integer,IdTitle<?>> map, boolean showId, boolean showComment)`
  JSON source for `ui:select-single` JSP tag

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### INSTANCE

    public static final UiFunction INSTANCE

- ## Constructor Details

  - ### UiFunction

    public UiFunction()

- ## Method Details

  - ### selectSingleSourceJson

    public static final String selectSingleSourceJson(Collection<IdTitle<?>> list, Set<?> availableIdSet, List<?> availableIdList, Map<Integer,IdTitle<?>> map, boolean showId, boolean showComment) throws com.fasterxml.jackson.core.JsonProcessingException
    JSON source for `ui:select-single` JSP tag
    Parameters:
      `list` -
      `availableIdSet` -
      `availableIdList` -
      `map` -
      `showId` -
      `showComment` -
    Returns:
    Throws:
      `com.fasterxml.jackson.core.JsonProcessingException`

  - ### processCreatedAndClosed

    public static final String processCreatedAndClosed(Localizer l, Process process)
    Localized text with process creation and closing times
    Parameters:
      `l` -
      `process` -
    Returns:

  - ### idAndComment

    public static final String idAndComment(Object object)
    A string containing object's comment, case `object` implements `Comment` interface and mandatory the object's ID.
    Parameters:
      `object` - the object, must implement `Id`
    Returns: